Auto Translation
You need the Manage Settings permission to manage Auto Translation.
Auto Translations- Auto Translations ManageGET global/autoTranslationConfig- Get a single Auto TranslationPOST global/autoTranslationConfig:disable- Disable the Auto TranslationPOST global/autoTranslationConfig:enable- Enable the Auto TranslationPUT global/autoTranslationConfig- Update the Auto Translation
Auto Translation JSON Format
Auto Translation is represented as simple flat JSON objects with the following keys:
| Name | Type | Description |
|---|---|---|
excludedWords |
string [] | Words/phrases that do not require translation. |
isEnabled |
bool | Whether auto translation is enabled or not. |
Get a single Auto Translation
GET global/autoTranslationConfig
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/global/autoTranslationConfig \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"excludedWords": [
"Test"
],
"isEnabled": true
}
Disable the Auto Translation
POST global/autoTranslationConfig:disable
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/global/autoTranslationConfig:disable \
-X 'POST' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"excludedWords": [
"Test"
],
"isEnabled": false
}
Enable the Auto Translation
POST global/autoTranslationConfig:enable
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/global/autoTranslationConfig:enable \
-X 'POST' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"excludedWords": [
"Test"
],
"isEnabled": true
}
Update the Auto Translation
PUT global/autoTranslationConfig
-
Parameters:
| Name | Type | in | Required | Description |
|---|---|---|---|---|
excludedWords |
string [] | body | no | Words/phrases that do not require translation. |
isEnabled |
bool | body | no | Whether auto translation is enabled or not. |
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/global/autoTranslationConfig \
-X 'PUT' \
-H 'Authorization: Bearer {access_token}' \
-H 'Content-Type: application/json' \
-D '{"excludedWords":["Test"],"isEnabled":true}'
Response:
HTTP/1.1 200 OK
{
"excludedWords": [
"Test"
],
"isEnabled": true
}